Change in ...libosmo-sccp[master]: manuals: Add script to regenerate vty/counter documentation

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

daniel gerrit-no-reply at lists.osmocom.org
Wed Jun 19 09:54:42 UTC 2019


daniel has uploaded this change for review. ( https://gerrit.osmocom.org/c/libosmo-sccp/+/14518


Change subject: manuals: Add script to regenerate vty/counter documentation
......................................................................

manuals: Add script to regenerate vty/counter documentation

Related: OS#1700
Change-Id: I9978d04fec68d6a8e17caa3c88c1020cf3a348ac
---
M doc/manuals/Makefile.am
A doc/manuals/regen_doc.sh
2 files changed, 18 insertions(+), 0 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/libosmo-sccp refs/changes/18/14518/1

diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile.am
index ce5b128..9c004ea 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile.am
@@ -1,6 +1,7 @@
 EXTRA_DIST = osmostp-usermanual.adoc \
     osmostp-usermanual-docinfo.xml \
     osmostp-vty-reference.xml \
+    regen_doc.sh \
     chapters \
     vty
 
diff --git a/doc/manuals/regen_doc.sh b/doc/manuals/regen_doc.sh
new file mode 100755
index 0000000..0c5be90
--- /dev/null
+++ b/doc/manuals/regen_doc.sh
@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+if [ -z "$DOCKER_PLAYGROUND" ]; then
+	echo "You need to set DOCKER_PLAYGROUND"
+	exit 1
+fi
+
+SCRIPT=$(realpath "$0")
+MANUAL_DIR=$(dirname "$SCRIPT")
+
+COMMIT=${COMMIT:-$(git log -1 --format=format:%H)}
+
+cd "$DOCKER_PLAYGROUND/scripts" || exit 1
+
+OSMO_BSC_BRANCH=$COMMIT ./regen_doc.sh osmo-stp 4239 \
+	"$MANUAL_DIR/chapters/counters_generated.adoc" \
+	"$MANUAL_DIR/vty/osmo-stp_vty_reference.xml"

-- 
To view, visit https://gerrit.osmocom.org/c/libosmo-sccp/+/14518
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: libosmo-sccp
Gerrit-Branch: master
Gerrit-Change-Id: I9978d04fec68d6a8e17caa3c88c1020cf3a348ac
Gerrit-Change-Number: 14518
Gerrit-PatchSet: 1
Gerrit-Owner: daniel <dwillmann at sysmocom.de>
Gerrit-MessageType: newchange
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20190619/629d9b67/attachment.htm>


More information about the gerrit-log mailing list